import numpy as np
from cubecorrections.emptyslices import trimEmptySlices
from cubecorrections.rotation import rotateCube, getOptimalRotation
from tqdm import tqdm

def performAllCorrections(cube: np.ndarray):
  # -----
  # EXTRANEOUS EXTRA DIMENSIONS
  # -----
  if cube.ndim > 3:
    cube = cube[...,0]

  # -----
  # ROTATION
  # -----
  for ax in tqdm(range(3)):
    angle = getOptimalRotation(cube, ax)
    cube = rotateCube(cube, angle, ax)

  # -----
  # EMPTY / REDUNDANT SLICES
  # -----
  cube = trimEmptySlices(cube)
  return cube