from pathlib import Path

import numpy as np
import pyqtgraph as pg
from pyqtgraph.Qt import QtCore
from fire import Fire

from gui import MainWin
from gui.helpers import phantomSpheres
from gui.layermodel import LayerModel



def main(datafile: str=None):
  if datafile is None:
     # Use dummy data
    np.random.seed(42)
    dataCube = phantomSpheres(n=256)
  else:
    dataCube = np.load(datafile)

  app = pg.mkQApp()
  layerInfo = None
  win = MainWin(None, layerInfo, dataCube)
  QtCore.QTimer.singleShot(0, win.showMaximized)
  app.exec_()

def main_script():
  Fire(main)

if __name__ == '__main__':
  main_script()